#image: nginx/stable-alpine

stages:
  - build
  - stage
  - deploy


cache:
  paths:
  - node_modules/


run-yarn-gulp:
  stage: build
  services:
    - docker:dind
  image: docker:latest
  script:
    - docker run --rm -v $PWD:/workspace adriantoine/yarn yarn install
    - docker run --rm -v $PWD:/home/gulp ipunktbs/gulp-tasks gulp dist

#    
#run-karma:
#   stage: test
#   image: tetraweb/php
#   script:
#    - phpunit tests
    
# Cria um container para testes locais, disponível no menu Registry
#make-container:
#  stage: stage
#  image: docker:latest
#  services:
#    - docker:dind
#  script:
#    - export IMAGE_TAG=$(echo -en $CI_COMMIT_REF_NAME | tr -c '[:alnum:]_.-' '-')
#    - docker login -u "gitlab-ci-token" -p "$CI_JOB_TOKEN" $CI_REGISTRY
#    - docker build --pull -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" -f ./build/Dockerfile-prod .
#    - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"


# Sobe a aplicação no servidor heroku 
# Lembre para fazer isso você precisa da APIKEY ~$heroku auth:token
deploy-on-server:
  stage: deploy
  script:
    - git remote add heroku https://heroku:$HEROKU_API_KEY@git.heroku.com/escapeifrs.git 
    - git push -f heroku master
    - echo 1
  